Skip to main content
`Ctrl`+`K`

# DMDARestoreArray

Restores an array for a `DMDA` obtained with `DMDAGetArray()`

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDARestoreArray(DM da, PetscBool ghosted, void *vptr)

## Input Parameters

- da - information about my local patch

- ghosted - do you want arrays for the ghosted or nonghosted patch

- vptr - array data structured

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDAGetArray()`

## Level

advanced

## Location

src/dm/impls/da/dalocal.c

## Examples

src/ts/tutorials/ex9.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages